Trades by signer and mint
Authorizations
Query Parameters
Maximum number of trades to return
1 <= x <= 200Cursor for efficient pagination. Use the nextCursor value from the previous response to fetch the next page.
Inclusive lower bound of the time window, in Unix MILLISECONDS. (Note - ms, unlike OHLC which uses seconds.)
Inclusive upper bound of the time window, in Unix MILLISECONDS.
Sort order by timestamp. Use 'asc' for oldest first, 'desc' for newest first (default)
asc, desc Response
Success. Signer-scoped data[] items are LEAN — base Trade fields plus
analysisUpdatedAt and createdAt, but NOT the mint-only quote/venue/liquidity
block. Invalid parameters return HTTP 200 with { "error": true, "message": "..." }.
Number of trades returned in this response
Maximum number of trades requested
Cursor to use for fetching the next page of results. Pass this value to the cursor parameter in your next request. Returns null when no more pages are available.
Indicates if there are more records available
Present when filtering by mint
Present when filtering by signer
Sort order used for the query (asc = oldest first, desc = newest first)
asc, desc 